Page MenuHomePhabricator

Show Gloss in entity selector when entering Sense as a value in a statement
Closed, ResolvedPublic

Description

As an editor I want to understand what is behind a Sense ID when entering a Sense as a value in a statement in order to verify that the Sense I am linking to is the right one.

Problem:
We are not showing the Gloss when entering the ID. We should. Someone could enter the wrong ID without noticing that they're referring to the wrong Sense.

BDD
GIVEN I select a property of data type Sense
AND I enter the Sense ID like L1-S2 in the value field
WHEN the ID is recognized as a valid ID
THEN the Lemma of the sense is shown in the entity selector like a label, and the Gloss of the Sense is shown like a description

Acceptance criteria:

  • When entering a Sense ID in a value field a selector is shown with the Gloss in the interface language or a fallback language.

Patch-For-Review:

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterDon't try to select entity when the input is empty
mediawiki/extensions/WikibaseLexeme : masterDon’t fall back to arbitrary languages for glosses
mediawiki/extensions/WikibaseLexeme : masterShow lemmas and gloss in sense entity selector

Event Timeline

Does it make sense to treat this like labels and descriptions for items, with the lemmas as label and the gloss as description? Mockup:

Denny added a subscriber: Denny.EditedAug 16 2018, 9:04 PM

That looks neat. I would merge the lemma with the ID in one line.

Change 454032 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Show lemmas and gloss in sense entity selector

https://gerrit.wikimedia.org/r/454032

@Lydia_Pintscher I assume the gloss should use language fallbacks, but what if there’s no gloss in the user’s language or any fallbacks? My current patch falls back to any other language (and a sense is guaranteed to have at least one gloss, so there’ll always be a gloss in some language), but T200983: Language fallbacks for referenced Senses in statements specifies that the sense ID should be shown instead.

Change 454032 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Show lemmas and gloss in sense entity selector

https://gerrit.wikimedia.org/r/454032

Decision: don’t fall back to arbitrary languages. (We said “fall back to the sense ID instead” in the meeting, but I guess in this context it would actually make more sense to just pretend there is no “description”.)

Change 454252 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Don’t fall back to arbitrary languages for glosses

https://gerrit.wikimedia.org/r/454252

Change 454252 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Don’t fall back to arbitrary languages for glosses

https://gerrit.wikimedia.org/r/454252

Ladsgroup updated the task description. (Show Details)Aug 28 2018, 9:16 AM

It seems I can't make statements anymore linking to a Sense on beta. I'm moving this one back assuming this broke it.

Change 455800 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] Don't try to select entity when the input is empty

https://gerrit.wikimedia.org/r/455800

Change 455800 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Don't try to select entity when the input is empty

https://gerrit.wikimedia.org/r/455800

It seems now adding a Sense is possible again but the Gloss is not shown for me in the selector still. Can you check?

Lydia_Pintscher closed this task as Resolved.Sep 1 2018, 6:36 PM
Lydia_Pintscher moved this task from Doing to Done on the Wikidata-Senses-Iteration3 board.